Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.pattern
Class AnyNodeTest

    java.lang.Object
      net.sf.saxon.pattern.NodeTest
          net.sf.saxon.pattern.AnyNodeTest

All Implemented Interfaces:
  ItemType, java.io.Serializable

public final class AnyNodeTest
extends NodeTest

NodeTest is an interface that enables a test of whether a node has a particular name and type. An AnyNodeTest matches any node.

See Also:
  Serialized Form

Constructor Summary
`AnyNodeTest()`

Method Summary
`double` | `getDefaultPriority()` Determine the default priority of this node test when used on its own as a Pattern
`static AnyNodeTest` | `getInstance()` Get an instance of AnyNodeTest
`int` | `getNodeKindMask()` Get a mask indicating which kinds of nodes this NodeTest can match.
`ItemType` | `getSuperType()` Get the type from which this item type is derived by restriction.
`int` | `hashCode()` Returns a hash code value for the object.
`boolean` | `matches(int nodeType, int fingerprint, int annotation)` Test whether this node test is satisfied by a given node
`boolean` | `matches(NodeInfo node)` Test whether this node test is satisfied by a given node.
`boolean` | `matchesItem(Item item)` Test whether a given item conforms to this type
`java.lang.String` | `toString()`

Methods inherited from class net.sf.saxon.pattern.NodeTest
`getAtomizedItemType, getContentType, getFingerprint, getPrimitiveItemType, getPrimitiveType, getRequiredNodeNames, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnyNodeTest

    public AnyNodeTest()

Method Detail

### getInstance

    public static AnyNodeTest getInstance()

  Get an instance of AnyNodeTest

### matchesItem

    public boolean matchesItem(Item item)

  Test whether a given item conforms to this type

  Specified by:
    `matchesItem` in interface `ItemType`
  Overrides:
    `matchesItem` in class `NodeTest`
  Parameters:
    `item` - The item to be tested
  Returns:
    true if the item is an instance of this type; false otherwise

### getSuperType

    public ItemType getSuperType()

  Description copied from interface: `ItemType`
  Get the type from which this item type is derived by restriction. This is the supertype in the XPath type heirarchy, as distinct from the Schema base type: this means that the supertype of xs:boolean is xdt:anyAtomicType, whose supertype is item() (rather than xs:anySimpleType).

  Specified by:
    `getSuperType` in interface `ItemType`
  Overrides:
    `getSuperType` in class `NodeTest`

### matches

    public final boolean matches(int nodeType,
                                 int fingerprint,
                                 int annotation)

  Test whether this node test is satisfied by a given node

  Specified by:
    `matches` in class `NodeTest`
  Parameters:
    `nodeType` - The type of node to be matched
    `fingerprint` - identifies the expanded name of the node to be matched
    `annotation` - The actual content type of the node

### matches

    public boolean matches(NodeInfo node)

  Test whether this node test is satisfied by a given node. This alternative method is used in the case of nodes where calculating the fingerprint is expensive, for example DOM or JDOM nodes.

  Specified by:
    `matches` in class `NodeTest`
  Parameters:
    `node` - the node to be matched

### getDefaultPriority

    public final double getDefaultPriority()

  Determine the default priority of this node test when used on its own as a Pattern

  Specified by:
    `getDefaultPriority` in class `NodeTest`

### getNodeKindMask

    public int getNodeKindMask()

  Get a mask indicating which kinds of nodes this NodeTest can match. This is a combination of bits: 1<
  Specified by:
    `getNodeKindMask` in class `NodeTest`

### toString

    public java.lang.String toString()

### hashCode

    public int hashCode()

  Returns a hash code value for the object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD